package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.report.service.NewMonitorService;
import cn.com.ctop.toutiao.modules.agent.service.AgentManagementService;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

@Component
@Slf4j
public class SynchronousAccountTransactionJob {

    @Resource
    AgentManagementService  agentManagementService;

    /**
     * 同步头条账户交易流水
     *
     * @param
     * @return
     * @throws
     * @author ZZY
     */
    @XxlJob("synchronousAccountTransaction")
    public void execute() throws Exception {
        SimpleDateFormat sd = new SimpleDateFormat("yyyy-MM-dd");
        Calendar ca = Calendar.getInstance();//得到一个Calendar的实例
        ca.setTime(new Date()); //设置时间为当前时间
        ca.add(Calendar.DAY_OF_MONTH, -1);  //设置为前一天
        String date = sd.format(ca.getTime());
        try {
            agentManagementService.synchronousAccount();
            agentManagementService.synchronousAccountTransactionDay(date,date);
            agentManagementService.synchronousAccountTransactionDetails(date,date);
        } catch (Exception e) {
            log.info("同步完成");
        }

    }
}
