package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 广告组加速探索报表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-08-18
 */
@Data
@TableName("ctop_kuaishou_report_daily_explore")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_report_daily_explore对象", description = "广告组加速探索报表")
public class KuaishouReportDailyExplore {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 计划ID
     */
    @Excel(name = "计划ID", width = 15)
    @ApiModelProperty(value = "计划ID")
    private Long campaignId;
    /**
     * 组ID
     */
    @Excel(name = "组ID", width = 15)
    @ApiModelProperty(value = "组ID")
    private Long unitId;
    /**
     * 组名称
     */
    @Excel(name = "组名称", width = 15)
    @ApiModelProperty(value = "组名称")
    private String unitName;
    /**
     * 探索预算
     */
    @Excel(name = "探索预算", width = 15)
    @ApiModelProperty(value = "探索预算")
    private java.math.BigDecimal exploreBudget;
    /**
     * 优化目标
     */
    @Excel(name = "优化目标", width = 15)
    @ApiModelProperty(value = "优化目标")
    private Integer ocpxActionType;
    /**
     * 总消耗
     */
    @Excel(name = "总消耗", width = 15)
    @ApiModelProperty(value = "总消耗")
    private java.math.BigDecimal totalCharge;
    /**
     * 封面曝光数
     */
    @Excel(name = "封面曝光数", width = 15)
    @ApiModelProperty(value = "封面曝光数")
    private Long impression;
    /**
     * 封面点击数
     */
    @Excel(name = "封面点击数", width = 15)
    @ApiModelProperty(value = "封面点击数")
    private Long photoClick;
    /**
     * 素材曝光数
     */
    @Excel(name = "素材曝光数", width = 15)
    @ApiModelProperty(value = "素材曝光数")
    private Long click;
    /**
     * 转化数
     */
    @Excel(name = "转化数", width = 15)
    @ApiModelProperty(value = "转化数")
    private Long unifiedConversion;
    /**
     * 转化成本
     */
    @Excel(name = "转化成本", width = 15)
    @ApiModelProperty(value = "转化成本")
    private java.math.BigDecimal unitfiedConversionCost;
    /**
     * 记录日期
     */
    @Excel(name = "记录日期", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "记录日期")
    private Date statDate;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
    /**
     * 加速探索状态 0：默认；1:加速探索2：加速探索手动暂停；3：探索金额完成；4：时间到达截止时间，默认开启后只探索 6 小时
     */
    private Integer exploreStatus;
    /**
     * 可设置的最大加速探索预算,单位：里
     */
    private Long maxExploreBudget;
}
